<?php
// SPDX-FileCopyrightText: IndieHosters <contact@indiehosters.net>
// SPDX-License-Identifier: AGPL-3.0-or-later

namespace OCA\CustomNav\Settings;

use OCA\CustomNav\AppInfo\Application;
use OCP\IL10N;
use OCP\IURLGenerator;
use OCP\Settings\IIconSection;

class AdminSection implements IIconSection
{
    private IL10N $l;
    private IURLGenerator $url;

    public function __construct(IURLGenerator $url, IL10N $l)
    {
        $this->url = $url;
        $this->l = $l;
    }

    public function getID(): string
    {
        return Application::APP_ID;
    }

    public function getName(): string
    {
        return $this->l->t(Application::APP_NAME);
    }

    public function getPriority(): int
    {
        return 70;
    }

    public function getIcon(): string
    {
        return $this->url->imagePath("core", "categories/customization.svg");
    }
}
